Menu

## LibraryConfigurationManager
in package

LibraryConfigurationManager.php : 9

Handle the library configurations for the installed core, crate and modules.

### Table of Contents

$configurations : array<string|int, mixed>
__construct() : mixed
  Construct a manager.
getConfigurationForLibrary() : LibraryConfiguration|null
  Return a library configuration for the specified library, in 'vendor/library' format.
getConfigurations() : array<string|int, LibraryConfiguration>
  Return an array of the library configurations.
getEntityDirectories() : array<string|int, mixed>
  Returns a list of all entity directories from LotGD libraries.

### Properties

#### $configurations

LibraryConfigurationManager.php : 12
`private array<string|int, mixed> $configurations = []`

### Methods

#### __construct()

LibraryConfigurationManager.php : 19

Construct a manager.

`public __construct(ComposerManager $composerManager, string $cwd) : mixed`

##### Parameters

$composerManager : ComposerManager
$cwd : string

##### Return values

mixed —

#### getConfigurationForLibrary()

LibraryConfigurationManager.php : 37

Return a library configuration for the specified library, in 'vendor/library' format.

`public getConfigurationForLibrary(string $library) : LibraryConfiguration|null`

##### Parameters

$library : string

##### Return values

LibraryConfiguration|null —

#### getConfigurations()

LibraryConfigurationManager.php : 53

Return an array of the library configurations.

`public getConfigurations() : array<string|int, LibraryConfiguration>`

##### Return values

array<string|int, LibraryConfiguration> —

#### getEntityDirectories()

LibraryConfigurationManager.php : 62

Returns a list of all entity directories from LotGD libraries.

`public getEntityDirectories() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

## Search results